// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../core/validation/ValidatedArgs";
import FormatValidation from "../FormatValidation";
export default class GetCouponsOrderedListRequest extends ValidatedRequest {
    securityId;
    pageIndex;
    pageLength;
    constructor({ securityId, pageIndex, pageLength }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            pageIndex: FormatValidation.checkNumber(),
            pageLength: FormatValidation.checkNumber(),
        });
        this.securityId = securityId;
        this.pageIndex = pageIndex;
        this.pageLength = pageLength;
    }
}
